Checkout oturumunu getir
curl --request GET \
--url https://vpos-sandbox.payven.com.tr/api/v1/checkout/sessions/{session_id}import requests
url = "https://vpos-sandbox.payven.com.tr/api/v1/checkout/sessions/{session_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://vpos-sandbox.payven.com.tr/api/v1/checkout/sessions/{session_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "<string>",
"tenant_id": "<string>",
"merchant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_merchant_id": "<string>",
"merchant_name": "<string>",
"amount": 123,
"currency": "<string>",
"allowed_installments": [
123
],
"description": "<string>",
"external_id": "<string>",
"basket_id": "<string>",
"customer_email": "<string>",
"customer_phone": "<string>",
"metadata": {},
"status": "<string>",
"transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"allow_pre_auth": true,
"is_test_session": true,
"attempt_count": 123,
"max_attempts": 123,
"success_url": "<string>",
"cancel_url": "<string>"
}{
"type": "https://docs.payven.com.tr/errors/invalid_token",
"title": "Geçersiz token",
"status": 401,
"code": "invalid_token",
"detail": "Access token geçersiz veya süresi dolmuş — refresh edin."
}{
"type": "https://docs.payven.com.tr/errors/forbidden",
"title": "Yetki yok",
"status": 403,
"code": "forbidden",
"detail": "Bu rol bu kaynağı göremez."
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "https://docs.payven.com.tr/errors/rate_limit_exceeded",
"title": "İstek limiti aşıldı",
"status": 429,
"code": "rate_limit_exceeded"
}{
"type": "https://docs.payven.com.tr/errors/internal_server_error",
"title": "Sunucu hatası",
"status": 500,
"code": "internal_server_error"
}{
"type": "https://docs.payven.com.tr/errors/connector_unavailable",
"title": "Konnektör erişilemez",
"status": 503,
"code": "connector_unavailable"
}CheckoutSessions
Checkout oturumunu getir
GET
/
api
/
v1
/
checkout
/
sessions
/
{session_id}
Checkout oturumunu getir
Path Parameters
Response
OK
Show child attributes
Show child attributes
Available options:
Non3D, ThreeDSecure, ThreeDPay, ThreeDPayHosting ⌘I